%define debug_package %{nil}

Name:           shadow-prod
Version:        8.0.10201
Release:        1%{?dist}
Summary:        shadow-prod Version 8.0.10101

Group:          Applications/Internet
License:        GPLv2+
URL:          https://shadow.tech
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:	x86_64


BuildRequires:  dpkg chrpath rpm cpio nss bc gcc glib2-devel
Requires:       dpkg chrpath rpm cpio nss bc gcc glib2-devel dbus fuse GConf2 cairo-devel libcanberra-devel libcanberra-gtk2
#Requires:       libcanberra-gtk3 mesa-libGL-devel mesa-dri-drivers libxcb gtk2-devel gdk-pixbuf2-devel libcurl-devel libnotify-devel
#Requires:       libappindicator-devel pango-devel libSM-devel libsecret-devel libXtst-devel nss-devel libva-devel glib2-devel libXxf86vm-devel
#Requires:       seahorse unzip pulseaudio-utils libva-vdpau-driver libvdpau-va-gl libdrm-devel wget chromium libinput-devel xorg-x11-drv-intel
#Requires:       libva-utils freetype-devel  libbsd-devel  json-c-devel opus-devel libubsan alsa-lib-devel libuv-devel  sndio openssl-devel
#Requires:       mesa-libGLES-devel libva-intel-driver libva-intel-hybrid-driver libva-v4l2-request gnome-keyring librtmp-devel gconf-editor
#Requires:       intel-media-driver sudo xcb-util-renderutil xcb-util-image xcb-util-cursor apt libbrotli cyrus-sasl-lib openldap-compat
#Requires:       libnghttp2-devel librtmp-devel libssh-devel libssh2-devel libcurl-devel
%description
shadow-prod Version 8.0.10178


%setup -T -D -a 1
rm -rf %buildroot
mkdir -p %buildroot/
cd %buildroot/



%build


%install
rm -rf %buildroot
mkdir -p %buildroot/usr/bin/
mkdir -p %buildroot/etc/yum.repos.d/
cat > %buildroot/usr/bin/shadow-pc-install <<EOF
#!/bin/bash
wget http://repository.shadow.tech/prod/pool/main/s/shadow-prod/shadow-amd64.deb -qO /tmp/shadow-amd64.deb
dpkg --extract /tmp/shadow-amd64.deb /
rm -f /tmp/shadow-amd64.deb
update-desktop-database /usr/share/applications/
EOF

cat > %buildroot/etc/yum.repos.d/_copr:copr.fedorainfracloud.org:andykimpe:shadow.repo <<EOF
[copr:copr.fedorainfracloud.org:andykimpe:shadow]
name=Copr repo for shadow owned by andykimpe
baseurl=https://download.copr.fedorainfracloud.org/results/andykimpe/shadow/fedora-\$releasever-\$basearch/
type=rpm-md
skip_if_unavailable=True
gpgcheck=1
gpgkey=https://download.copr.fedorainfracloud.org/results/andykimpe/shadow/pubkey.gpg
repo_gpgcheck=0
enabled=1
enabled_metadata=1
EOF

cat > %buildroot/usr/bin/shadow-prod <<EOF
#!/bin/bash
/usr/share/shadow-prod/shadow-launcher "\$@"
EOF

%post
chmod +x /usr/bin/shadow-prod
chmod +x /usr/bin/shadow-pc-install
/usr/bin/shadow-pc-install


%postun
rm -rf /usr/bin/shadow-prod
rm -rf /usr/bin/shadow-pc-install
rm -rf /usr/share/applications/shadow-client-prod.desktop
rm -rf /usr/share/drirc.d/shadow-prod.conf
rm -rf /usr/share/pixmaps/shadow.png
rm -rf /usr/share/shadow-prod/
cat > /etc/yum.repos.d/_copr:copr.fedorainfracloud.org:andykimpe:shadow.repo <<EOF
[copr:copr.fedorainfracloud.org:andykimpe:shadow]
name=Copr repo for shadow owned by andykimpe
baseurl=https://download.copr.fedorainfracloud.org/results/andykimpe/shadow/fedora-\$releasever-\$basearch/
type=rpm-md
skip_if_unavailable=True
gpgcheck=1
gpgkey=https://download.copr.fedorainfracloud.org/results/andykimpe/shadow/pubkey.gpg
repo_gpgcheck=0
enabled=1
enabled_metadata=1
EOF




%clean
rm -rf %buildroot


%files
%defattr(-,root,root,-)
%doc
/usr/bin/shadow-prod
/usr/bin/shadow-pc-install
/etc/yum.repos.d/_copr:copr.fedorainfracloud.org:andykimpe:shadow.repo
%changelog
